Name:		automake-gcc-compat
Version:	1.11.6
Release:	5%{?dist}
Summary:	A GNU tool for automatically creating Makefiles

License:	GPLv3+
URL:		https://www.gnu.org/software/automake/
Source0:	http://ftp.gnu.org/gnu/automake/automake-1.11.6.tar.xz

BuildArch:	noarch

# Copied from F23 automake.spec
Requires:	autoconf-gcc-compat = 2.64
Requires:	perl(Thread::Queue)
Requires:	perl(threads)
BuildRequires:	perl-macros
BuildRequires:	perl(Thread::Queue)
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake
BuildRequires:	help2man

Patch1:         automake-1.11.6-escape-brace.patch
Patch2:         automake-1.11.6-prototypes.patch

%description
Automake is a tool for automatically generating `Makefile.in'
files compliant with the GNU Coding Standards.

Automake version %{version} is required for GCC development.

%global debug_package %{nil}

%global short_ver 1.11

%prep
%setup -q -n automake-%{version}
%patch1 -p1
%patch2 -p1
autoreconf -iv

%build
echo $PATH
./configure --prefix=/opt/autotools-gcc --program-suffix=_
make %{?_smp_mflags}


%install
%make_install
cat > ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/automake << "EOT"
#!/usr/bin/bash
if [ -f /opt/autotools-gcc/bin/autoconf_ ]; then
  export AUTOCONF=/opt/autotools-gcc/bin/autoconf_
  export AUTOHEADER=/opt/autotools-gcc/bin/autoheader_
fi
export AUTOMAKE=/opt/autotools-gcc/bin/automake_
export ACLOCAL=/opt/autotools-gcc/bin/aclocal_
export AUTOM4TE=/opt/autotools-gcc/bin/autom4te_
name=${0##*/}
if [[ $name = *-%{short_ver} ]]; then
  name=${name%%-%{short_ver}}_-%{short_ver}
else
  name=${name}_
fi
exec /opt/autotools-gcc/bin/${name}
EOT
chmod 755 ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/automake
ln -s automake ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/automake-%{short_ver}
ln -s automake ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/aclocal
ln -s automake ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/aclocal-%{short_ver}
ln -s automake ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/autom4te
mkdir -m 755 ${RPM_BUILD_ROOT}/opt/autotools-gcc/share/aclocal

%files
/opt/autotools-gcc/bin/*
/opt/autotools-gcc/share/aclocal
/opt/autotools-gcc/share/aclocal-%{short_ver}/*
/opt/autotools-gcc/share/automake-%{short_ver}/*
%exclude /opt/autotools-gcc/share/doc
%exclude /opt/autotools-gcc/share/info
%exclude /opt/autotools-gcc/share/man

%changelog
* Wed Jul 18 2018 Jonathan Wakely <jwakely@redhat.com> - 1.11.6-5
- Fix wrapper script when invoked with version suffix.

* Mon May 21 2018 Jonathan Wakely <jwakely@redhat.com> - 1.11.6-4
- Add wrappers for automake-1.11 and aclocal-1.11

* Tue Jan 23 2018 Jonathan Wakely <jwakely@redhat.com> - 1.11.6-3
- Patch for aclocal prototypes

* Mon Jan 22 2018 Jonathan Wakely <jwakely@redhat.com> - 1.11.6-2
- Patch invalid regex

* Wed Jan 06 2016 Jonathan Wakely <jwakely@redhat.com> 1.11.6-1
- Initial package.
